Added shutdown warning/timer.
[pandora-libraries.git] / testdata / scripts / pnd_make.sh
index 6643f3e..3a0ce2c 100755 (executable)
@@ -2,7 +2,7 @@
  
 ######adjust path of genpxml.sh if you want to use that "feture"#####
  
-TEMP=`getopt -o p:d:x:i: -- "$@"`
+TEMP=`getopt -o p:d:x:i:c -- "$@"`
  
 if [ $? != 0 ] ; then echo "Terminating..." >&2 ; exit 1 ; fi
  
@@ -13,6 +13,7 @@ while true ; do
                -d) echo "FOLDER set to $2" ;FOLDER=$2;shift 2 ;;
                -x) echo "PXML set to $2" ;PXML=$2;shift 2 ;;
                -i) echo "ICON set to $2" ;ICON=$2;shift 2 ;;
+               -c) echo "-c set, will create compressed squasfs image instead of iso $2" ;SQUASH=1;shift 1 ;;
                --) shift ; break ;;
                *) echo "Error while parsing arguments! $2" ; exit 1 ;;
        esac
@@ -22,9 +23,9 @@ rnd=$RANDOM; # random number for genpxml and index$rnd.xml
  
 #generate pxml if guess or empty
 if [ ! $PXML ] || [ $PXML = "guess" ] && [  $PNDNAME ] && [ $FOLDER ];  then
-       PXMLtxt=$(./genpxml.sh $FOLDER $ICON)
-       PXML=tmp$rnd.pxml
-       echo "$PXMLtxt" > tmp$rnd.pxml
+       PXMLtxt=$(/home/user/libpnd/pandora-libraries/testdata/scripts/genpxml.sh $FOLDER $ICON)
+       PXML=$FOLDER/PXML.xml
+       echo "$PXMLtxt" > $FOLDER/PXML.xml
 fi
  
 #check arguments
@@ -37,7 +38,15 @@ if [ ! -d $FOLDER ]; then echo "$FOLDER doesnt exist"; exit 1; fi #check if fold
 if [ ! -f $PXML ]; then echo "$PXML doesnt exist"; exit 1; fi #check if pxml actually exists
  
 #make iso from folder
-mkisofs -o $PNDNAME.iso -R $FOLDER
+if [ ! $SQUASH ]; then
+       mkisofs -o $PNDNAME.iso -R $FOLDER
+else
+       if [ $(mksquashfs -version |  awk '{if ($3 >= 4) print 1}') = 1 ]; then
+               echo "your squashfs version is older then version 4, pleas upgrade to 4.0 or later"
+               exit 1
+       fi
+       mksquashfs -no-recovery -nopad $FOLDER $PNDNAME.iso 
+fi
 #append pxml to iso
 cat $PNDNAME.iso $PXML >  $PNDNAME
 rm $PNDNAME.iso #cleanup
@@ -53,4 +62,4 @@ if [ $ICON ]; then # check if we want to add an icon
        fi
 fi
  
-if [ $PXML = "guess" ];then rm tmp$rnd.pxml; fi #cleanup
+if [ $PXML = "guess" ];then rm $FOLDER/PXML.xml; fi #cleanup